Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# adjustment.h File Reference

A GtkAdjustment C++ wrapper interface. More...

`#include <inti/gtk/object.h>`
`#include <gtk/gtkadjustment.h>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::Gtk

## Detailed Description

A GtkAdjustment C++ wrapper interface.

Provides Adjustment, an object that represents a value which has an associated lower and upper bound, together with step and page increments, and a page size. It is used within several widgets, including SpinButton, Viewport, and Range (which is a base class for HScrollbar, VScrollbar, HScale, and VScale).
Main Page - Footer